726613 发表于 2013-4-1 13:16:28

模具词库


                        图一


                              图二


                     图三



                  图四


(defun c:sv()
   (setvar "cmdecho" 0)
   (setq word_list'("%%C" "%%D""%%P" "上模座""上垫板"
   "上固定板" "止高板""脱料板""凹模板""下垫板""下模座"
    "下脱板""内脱板""打料杆""下固定板""真空板""正面钻深
10mm""背面钻深10mm""正面铣深10mm""背面铣深10mm""正面放电深
5mm""背面放电深5mm""正面攻牙深10mm""背面攻牙深10mm""上挂台
厚5mm""下挂台厚5mm" "上模座铰孔" "下模座铰孔" "止高柱""内导柱""内导套"
"外导柱" "外导套""螺丝""螺母""等高套""止高螺丝"
"模柄""材质""数量""名称""弹簧" "贯穿""铣45度斜面" "A3钢""45#钢"
"M6钻25攻20""M8钻30攻25""M10钻30攻25""M12钻35攻30""M4=0.7" "M5=0.8"
"M6=1.0""M8=1.25""M10=1.5""M12=1.75"
"M14=2.0""M16=2.0""M18=2.5""M20=2.5" ))
   (setq ph_list '("5" "10" "20" "30" "40" "50"))
   (setq pd_list '("0" "30" "45" "60" "75" "90" "-30" "-45" "-60"))
   (dcl_dia7c)   
(prin1)
)

(defun dcl_dia7c()
   (setq dcl_id (load_dialog "xzh.dcl"))
   (new_dialog "sv" dcl_id)            
   (show_list "klist" word_list)         
   (show_list "ph" ph_list)            
   (show_list "pd" pd_list)            
   (set_tile "klist" "1")
   (sub_klist1 "1")      
   (set_tile "zh" "10")   
   (set_tile "jd" "0")   
   (action_tile "klist" "(sub_klist1 $value)")
   (action_tile "ph" "(sub_ph $value)")
   (action_tile "pd" "(sub_pd $value)")
   (action_tile "accept" "(ok_dia7c)(done_dialog 1)")
   (setq dd(start_dialog))   
   (if (= dd 1) (progn
   (setq inspt (getpoint "-->选取插入点:"))
(command "text" inspt zh jd wordstr)) )
)

(defun show_list(key newlist)
   (start_list key)         
   (mapcar 'add_list newlist)
   (end_list)               
)

(defun sub_klist1(vvs)
   (set_tile "wordstr" (nth (atoi vvs) word_list))
)

(defun sub_ph(vvs)
   (set_tile "zh" (nth (atoi vvs) ph_list))   
)

(defun sub_pd(vvs)
   (set_tile "jd" (nth (atoi vvs) pd_list))   
)
(defun ok_dia7c()
   (setq wordstr(strcase (get_tile "wordstr")))
   (setq zh(get_tile "zh"))                  
   (setq jd (get_tile "jd"))                  
)




(defun chk_style()
   (setq chksty(tblsearch "style" "iso-25"))
   (if (null chksty)
   (command "_style" "iso-25" "宋体" "" "" "" "" "" ))
   (setq chklay(tblsearch "layer" "文字"))
   (if (null chklay)
   (command "_layer" "m" "文字" "c" "3" "文字" ""))
   (setvar "clayer" "文字")
   (setvar "textstyle" "iso-25")
(prin1)
)


在执行SV命令后出现图一,选取“脱料板”确定后,显示图二,在宋体文字样式下显示图三,如何才能显示成图四?程序要如何修改,请高手们指点一二,谢谢

726613 发表于 2013-4-2 10:45:08

哪位高手请多多指教

shenhung 发表于 2013-4-2 13:11:16

style對話框內.   宋體字高度值.你要設為0 . 不能設高度.. 有高度值.不會正常顯示.就會像圖三那樣.

726613 发表于 2013-4-5 11:29:03

shenhung 发表于 2013-4-2 13:11 static/image/common/back.gif
style對話框內.   宋體字高度值.你要設為0 . 不能設高度.. 有高度值.不會正常顯示.就會像圖三那樣.

谢谢高手指点
页: [1]
查看完整版本: 模具词库